
QGIS Application - Bug report #9763

GetPrint segfault

2014-03-11 09:01 AM - Alessandro Pasotti

Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 18308

Description

Running latest QGIS server built from master.

Call:

http://localhost/cgi-bin/qgis_mapserv.fcgi?map=asti_crash&SERVICE=WMS&VERSION=1.3&REQUEST=GetPrint&FORMAT=p

df&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=true&SRS=EPSG:32632&DPI=300&TEMPLATE=Asti%20uno&map0:extent=433845.2,4968501.5,441695.4,4976001.7&map0:rotation=0&map0:scale=50000&map0:grid_interval_x

uno&map0:extent=433845.2,4968501.5,441695.4,4976001.7&map0:rotation=0&map0:scale=50000&map0:grid_interval_x=2000&map0:grid_interval_y=2000&LAYERS=Classificazione%20delle%20aree&OPACITIES=255


&map0:grid_interval_y=2000&LAYERS=Classificazione%20delle%20aree&OPACITIES=255

dmesg:

[33988.177726] qgis_mapserv.fc[28337]: segfault at 10 ip 00007f278e78c65b sp 00007fffaabf4c78 error 4 in

libQtGui.so.4.8.2[7f278e51e000+a82000]

    1. Running from the command line with QUERY_STRING= etc. and from qtcreator with gdb works fine

    2. Deleting all styles and re-creating styles on the same field (zona_desc) with categorized classification also works fine.

    3. Printing on higher zoom levels (sometimes) works fine (probably no need to draw some symbols)

I also tried to delete single styles one by one but could not identify the offending one.

Related issues:

Related to QGIS Application - Bug report # 9295: GetPrint causes segfault if ... Closed 2014-01-06

History

#1 - 2014-03-13 03:18 AM - Alessandro Pasotti

- Priority changed from High to Normal

It seems like it's the "missing X" issue.

X server is needed to run QGIS mapserver or it will crash as soon as SVG symbology or HTML widgets are used.

#2 - 2014-10-30 10:01 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2015-05-27 08:28 AM - Giovanni Manghi

2024-04-26 1/2



- Resolution set to duplicate

- Status changed from Open to Closed

see also #9295

Files

asti_crash.dbf.zip 474 KB 2014-03-11 Alessandro Pasotti
